<!DOCTYPE html>
<html xmlns:th="https://www.thymeleaf.org">
<head>
<meta charset="UTF-8">
<title>User</title>
  <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
    <meta name="description" content="">
    <meta name="author" content="">
    <link href="https://fonts.googleapis.com/css?family=Poppins:100,200,300,400,500,600,700,800,900&display=swap" rel="stylesheet">

    <title>Hexashop - About Page</title>


    <!-- Additional CSS Files -->
    <link rel="stylesheet" type="text/css" href="/css/bootstrap.min.css">

    <link rel="stylesheet" type="text/css" href="/css/font-awesome.css">

    <link rel="stylesheet" href="/css/templatemo-hexashop.css">

    <link rel="stylesheet" href="/css/owl-carousel.css">

    <link rel="stylesheet" href="/css/lightbox.css">
    <style>
<!--
body {
  background-image: url('https://wallpapercave.com/wp/wp2175950.jpg');
  background-repeat: no-repeat;
  background-attachment: fixed;
  background-size: cover
   
}
</style>

</head>
<body >

<!-- NAVIGATION BAR -->

<nav class="navbar navbar-expand-lg navbar-dark bg-dark">
  <div class="container-fluid">
    <a class="navbar-brand" href="#">Team A |E-Commerce</a>
    <button class="navbar-toggler" type="button" data-bs-toggle="collapse" data-bs-target="#navbarSupportedContent" aria-controls="navbarSupportedContent" aria-expanded="false" aria-label="Toggle navigation">
      <span class="navbar-toggler-icon"></span>
    </button>
    <div class="collapse navbar-collapse" id="navbarSupportedContent">
      <ul class="navbar-nav me-auto mb-2 mb-lg-0">
        <li class="nav-item">
          <a class="nav-link" aria-current="page" href="/">Home</a>
        </li>
        
        
       
        
      </ul>
      
        <ul class="navbar-nav ml-auto">
        
        	<!-- <li class="nav-item">
                <a class="nav-link" href="#">
                  <i class="fa fa-cart-plus"></i>
                </a>
            </li> -->
            
            <li class="nav-item">
                <a class="nav-link" href="/logout">
                  Logout
                </a>
            </li>
            
        </ul>
    </div>
  </div>
</nav>


<div class="container">
<div class="col-md-11 offset-md-1">

<br><br>

<h1 align="center">Product List</h1><hr><br>






<table class="table table-striped table-hover" width="100%" cellpadding="10" cellspacing="0">



<tr>
<th>productId</th>
<th>productName</th>
<th>productCost </th>
<th>productQuantity</th>
<th>productDescription</th>
<th>Action</th>
</tr>

<a th:href="@{/admin/show}" class="btn btn-success">ADD</a>
<a th:href="@{/admin/csv}" class="btn btn-primary">Bulk Upload(CSV )</a><hr>





<tr th:each="product:${products}">



<th th:text="${product.productId}"></th>
<th th:text="${product.productName}"></th>
<th th:text="${product.productCost}"></th>
<th th:text="${product.productQuantity}"></th>
<th th:text="${product.productDescription}"></th>
<th>
<a th:href="@{/admin/deleteProduct/{productId}(productId=${product.productId})}" class="btn btn-danger">Delete</a>
<a th:href="@{/admin/UpdateForm/{id}(id=${product.productId})}" class="btn btn-info">Update</a>
</th>




</tr>



</table>

<br>

<h1 align="center">User List</h1><hr><br>



<table class="table table-hover table-striped" width="100%" cellpadding="10" cellspacing="0">





<tr>
<th>User Id</th>
<th>User Name</th>
<th>User EmailId</th>
<th>User Address</th>
<th>Role</th>
<th>Action</th>
	

</tr>





<tr th:each="users:${userList}">



<th th:text="${users.id}"></th>
<th th:text="${users.fullName}"></th>
<th th:text="${users.email}"></th>
<th th:text="${users.address}"></th>
<th th:text="${users.role}"></th>
<th>
<a th:href="@{/admin/deleteUser/{userId}(userId=${users.id})}" class="btn btn-danger">Delete</a>
<a th:href="@{/admin/UpdateUserForm/{id}(id=${users.id})}" class="btn btn-info">Update</a>
</th>






</tr>



</table>
</div>
 <footer>
        <div class="container">
            <div class="row">
                <div class="col-lg-3">
                    <div class="first-item">
                        <div class="logo">
                            <img src="/images/logo.png"  style="width: 70px" > alt="hexashop ecommerce templatemo">
                        </div>
                        <ul>
                            <li><a href="#">Team-A | E-Commerce</a></li>
                            <li><a href="#">Team_A@company.com</a></li>
                            <li><a href="#">16-11-2022</a></li>
                        </ul>
                    </div>
                </div>
                <div class="col-lg-3">
                    <h4>Shopping &amp; Categories</h4>
                    <ul>
                        <li><a href="#">Men’s Shopping</a></li>
                        <li><a href="#">Women’s Shopping</a></li>
                        <li><a href="#">Kid's Shopping</a></li>
                    </ul>
                </div>
                <div class="col-lg-3">
                    <h4>Useful Links</h4>
                    <ul>
                        <li><a href="#">Homepage</a></li>
                        <li><a href="#">About Us</a></li>
                        <li><a href="#">Help</a></li>
                        <li><a href="#">Contact Us</a></li>
                    </ul>
                </div>
                <div class="col-lg-3">
                    <h4>Help &amp; Information</h4>
                    <ul>
                        <li><a href="#">Help</a></li>
                        <li><a href="#">FAQ's</a></li>
                        <li><a href="#">Shipping</a></li>
                        <li><a href="#">Tracking ID</a></li>
                    </ul>
                </div>
                <div class="col-lg-12">
                    <div class="under-footer">
                        <p>Copyright © 2022 Team-A | E-Commerce All Rights Reserved. 
                        
                    
                        <ul>
                            <li><a href="#"><i class="fa fa-facebook"></i></a></li>
                            <li><a href="#"><i class="fa fa-twitter"></i></a></li>
                            <li><a href="#"><i class="fa fa-linkedin"></i></a></li>
                            <li><a href="#"><i class="fa fa-behance"></i></a></li>
                        </ul>
                    </div>
                </div>
            </div>
        </div>
    </footer>

</div>


<script src="https://cdn.jsdelivr.net/npm/@popperjs/core@2.11.6/dist/umd/popper.min.js" integrity="sha384-oBqDVmMz9ATKxIep9tiCxS/Z9fNfEXiDAYTujMAeBAsjFuCZSmKbSSUnQlmh/jp3" crossorigin="anonymous"></script>
<script src="https://cdn.jsdelivr.net/npm/bootstrap@5.2.2/dist/js/bootstrap.min.js" integrity="sha384-IDwe1+LCz02ROU9k972gdyvl+AESN10+x7tBKgc9I5HFtuNz0wWnPclzo6p9vxnk" crossorigin="anonymous"></script>

   <!-- jQuery -->
    <script src="/js/jquery-2.1.0.min.js"></script>

    <!-- Bootstrap -->
    <script src="/js/popper.js"></script>
    <script src="/js/bootstrap.min.js"></script>

    <!-- Plugins -->
    <script src="/js/owl-carousel.js"></script>
    <script src="/js/accordions.js"></script>
    <script src="/js/datepicker.js"></script>
    <script src="/js/scrollreveal.min.js"></script>
    <script src="/js/waypoints.min.js"></script>
    <script src="/js/jquery.counterup.min.js"></script>
    <script src="/js/imgfix.min.js"></script> 
    <script src="/js/slick.js"></script> 
    <script src="/js/lightbox.js"></script> 
    <script src="/js/isotope.js"></script> 
    
    <!-- Global Init -->
    <script src="/js/custom.js"></script>

    <script>

        $(function() {
            var selectedClass = "";
            $("p").click(function(){
            selectedClass = $(this).attr("data-rel");
            $("#portfolio").fadeTo(50, 0.1);
                $("#portfolio div").not("."+selectedClass).fadeOut();
            setTimeout(function() {
              $("."+selectedClass).fadeIn();
              $("#portfolio").fadeTo(50, 1);
            }, 500);
                
            });
        });

    </script>

  </body>

</html>

<!-- footer -->

